Summary:	An X Window System kernel parameter monitoring tool
Name:		xsysinfo
Version:	1.7
Release:	11mdk
License:	MIT
Group:		Monitoring
BuildRequires:	XFree86-devel, libxpm4-devel

Source0:	ftp://sunsite.unc.edu/pub/Linux/system/status/xstatus/xsysinfo-%{version}.tar.bz2
Source1:	%{name}
Source2:	%{name}-icons.tar.bz2
Patch:		xsysinfo-imake.patch.bz2
Patch1:		xsysinfo-1.7-xf4.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

%description
Xsysinfo is a graphic kernel monitoring tool for the X Window System.
Xsysinfo displays vertical bars for certain kernel parameters:  CPU load
average, CPU load, memory and swap sizes.

Install the xsysinfo package if you'd like to use a graphical kernel
monitoring tool.

%prep

%setup -q
%patch -p1
%patch1 -p0
make clean

%build
xmkmf
%make CDEBUGFLAGS="%optflags"

%install

make DESTDIR=$RPM_BUILD_ROOT install

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_menudir}
tar xjf %SOURCE2 -C  $RPM_BUILD_ROOT/

%post
%{update_menus}
 
%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
%{_prefix}/X11R6/bin/xsysinfo
%{_prefix}/X11R6/lib/X11/app-defaults/XSysinfo
%{_prefix}/X11R6/lib/X11/app-defaults/XSysinfo-color
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%changelog
* Thu Aug 30 2001 Etienne Faure  <etienne@mandraksoft.com> 1.7-11mdk
- rebuild

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.7-10mdk
- BuildRequires: libxpm4-devel

* Sat Dec 16 2000 Etienne Faure  <etienne@mandraksoft.com> 1.7-9mdk
- cleaned menu entry
- macros
- normal and large icons

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.7-8mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.7-7mdk
- macro-ize
- use _menudir just as titi commands me :)

* Wed Jul 18 2000 Etienne Faure <etienne@mandrakesoft.com> 1.7-6mdk
- Added file 'CHANGES' to doc

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 1.7-5mdk
- Imake bugfix for XFree86 4.0

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.7-4mdk
- Convert gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 1.7-3mdk
- Added menu entry.

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 1.7-2mdk
- Release.

* Wed Nov 03 1999 Jerome Martin <jerome@mandrakesoft.com>
- Updated to version 1.7 with SMP support
- Specfile cleanup
- Rebuild for new distribution

* Thu May 06 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Fri Dec 20 1998 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- new version
- wmconfig

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>
- built against glibc
